Page MenuHomePhabricator

Remove useless "Make full size" button in media dialog
Closed, ResolvedPublic

Description

There is a "Make full size" button in the media dialog:


And it's completely useless:

  • You almost never want to use an image in the original size anyway
  • In the rare case you do, you can achieve it by setting "Image type" to "Frame"

I propose that we remove it.

Event Timeline

matmarex created this task.Sep 27 2018, 4:45 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 27 2018, 4:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 463310 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.MediaSizeWidget: Remove "Make full size" button

https://gerrit.wikimedia.org/r/463310

I wrote the patch first, but then decided to file this task and ask if we should actually do this, just in case there is a reason for this button's existence.

Makes sense to me. As far as I can see, other than the media dialog, only the graph dialog uses the media size widget, and it configures it not to have the "full size" button.

Any thoughts @Esanders @Deskana @Whatamidoing-WMF ?

Deskana triaged this task as Low priority.Sep 28 2018, 3:39 PM

@Tchanders Nice timing on the ping! I was just looking at this. I think this can be removed for the reasons that @matmarex pointed out above.

Esanders assigned this task to matmarex.Sep 30 2018, 6:16 PM
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 463310 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ui.MediaSizeWidget: Remove "Make full size" button

https://gerrit.wikimedia.org/r/463310

Change 464018 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (1191c3687)

https://gerrit.wikimedia.org/r/464018

Change 464018 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (1191c3687)

https://gerrit.wikimedia.org/r/464018

Deskana closed this task as Resolved.Oct 11 2018, 3:09 PM